%bcond_with perl_bootstrap

Summary:    Tools for using the foomatic database of printers and printer drivers
Name:       foomatic
Version:    4.0.13
Release:    5%{?dist}
License:    GPLv2+
Url:        https://openprinting.github.io/projects/02-foomatic/
Source0:    http://www.openprinting.org/download/foomatic/foomatic-db-engine-%{version}.tar.gz

Patch3000:  foomatic-manpages.patch
Patch3001:  0001-Recognize-fractional-numbers-in-PageSize.patch

BuildRequires:  gcc make autoconf automake
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  libxml2-devel python3-cups cups cups-devel dbus-devel
%if %{without perl_bootstrap}
BuildRequires:  foomatic foomatic-db
%endif
Requires:       dbus cups-filters perl-interpreter perl-libs foomatic-db cups ghostscript colord
Requires(post): coreutils

%description
Foomatic is a database-driven system for integrating free
software printer drivers with the CUPS printing system and
also with an easy-to-use command-line interface for direct,
spooler-less printing.


%prep
%autosetup -n foomatic-db-engine-%{version} -p1
chmod a+x mkinstalldirs


%build
export LIB_CUPS=%{_cups_serverbin}
export CUPS_BACKENDS=%{_cups_serverbin}/backend
export CUPS_FILTERS=%{_cups_serverbin}/filter
export CUPS_PPDS=%{_datadir}/cups/model
autoconf
%configure --disable-xmltest
%make_build PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS"


%install
%make_install   \
        PREFIX=%{_prefix} \
        INSTALLSITELIB=%{perl_vendorlib} \
        INSTALLSITEARCH=%{perl_vendorarch} \

ln -sf ../../../bin/foomatic-ppdfile %{buildroot}%{_cups_serverbin}/driver/foomatic
mkdir -p %{buildroot}%{_var}/cache/foomatic
echo cups > %{buildroot}%{_sysconfdir}/foomatic/defaultspooler
rm -rf  \
        %{buildroot}%{_libdir}/ppr \
        %{buildroot}%{_sysconfdir}/foomatic/filter.conf.sample \
        %{buildroot}%{_datadir}/foomatic/templates
find %{buildroot} -name .packlist -delete


%post
/bin/rm -f /var/cache/foomatic/*
exit 0


%files
%license COPYING
%dir %{_sysconfdir}/foomatic
%config(noreplace) %{_sysconfdir}/foomatic/defaultspooler
%{_bindir}/foomatic-combo-xml
%{_bindir}/foomatic-compiledb
%{_bindir}/foomatic-configure
%{_bindir}/foomatic-datafile
%{_bindir}/foomatic-perl-data
%{_bindir}/foomatic-ppd-options
%{_bindir}/foomatic-ppd-to-xml
%{_bindir}/foomatic-ppdfile
%{_bindir}/foomatic-printjob
%{_bindir}/foomatic-searchprinter
%{_sbindir}/*
%{perl_vendorlib}/Foomatic
%{_cups_serverbin}/driver/*
%{_mandir}/man1/foomatic-cleanupdrivers.1*
%{_mandir}/man1/foomatic-combo-xml.1*
%{_mandir}/man1/foomatic-compiledb.1*
%{_mandir}/man1/foomatic-configure.1*
%{_mandir}/man1/foomatic-datafile.1*
%{_mandir}/man1/foomatic-extract-text.1*
%{_mandir}/man1/foomatic-fix-xml.1*
%{_mandir}/man1/foomatic-nonumericalids.1*
%{_mandir}/man1/foomatic-perl-data.1*
%{_mandir}/man1/foomatic-ppd-options.1*
%{_mandir}/man1/foomatic-ppd-to-xml.1*
%{_mandir}/man1/foomatic-ppdfile.1*
%{_mandir}/man1/foomatic-printermap-to-gutenprint-xml.1*
%{_mandir}/man1/foomatic-printjob.1*
%{_mandir}/man1/foomatic-replaceoldprinterids.1*
%{_mandir}/man1/foomatic-searchprinter.1*
%{_mandir}/man8/*
%{_var}/cache/foomatic

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.13-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.13-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.13-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 Miaojun Dong <zoedong@tencent.com> - 4.0.13-2
- disabled bootstrap

* Fri Mar 17 2023 Miaojun Dong <zoedong@tencent.com> - 4.0.13-1
- initial build
